%define cap_name QLandkarte
%define release_date 2007.09.18

Name: qlandkarte
Version: 0.5.3
Release: 4%{?dist}
Summary: A tool to visualize maps and other GPS information for Garmin devices

Group: Applications/Communications
License: GPLv2+
URL: http://qlandkarte.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}/%{cap_name}.%{release_date}.tar.gz
Source1: %{name}.desktop
Source2: %{name}.xpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt4-devel proj-devel libusb-devel desktop-file-utils

%description
Provides a GUI to visualize data from GPS device's tracks and maps.


%prep
%setup -q -n %{cap_name}

# fix plugin dir
sed -i 's|/usr/lib|%{_libdir}|' common
# remove additional compile flags
sed -i 's|-O3||' common


%build
qmake-qt4 QLandkarte.pro
make


%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

%{__mv} %{buildroot}/%{_bindir}/%{cap_name} %{buildroot}/%{_bindir}/%{name}

install -m 0644 -p -D %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

desktop-file-install --vendor fedora \
        --dir %{buildroot}%{_datadir}/applications \
        %{SOURCE1}


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc copying changelog.txt
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Mon Oct 22 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-4
- including icon for desktop file
- disabling parallel make flags

* Mon Oct 22 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-3
- spec file patches and desktop file by Dan Horak <dan@danny.cz>
  GPLv2+
  desktop file
  use sed to cleanup problems in makefile
  additional BuildRequires

* Sat Oct 20 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-2
- cleanup for inclusion in Fedora

* Tue Sep 18 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-1
- upgrade to 0.5.3
- removed stripping of *.so files so debuginfo package can be built

* Mon Jul 09 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.2-1
- upgrade to 0.5.2

* Wed May 16 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.0-1
- upgrade to 0.5.0
- removed install_root patch (fixed upstream)
- stripped libraries

* Thu Apr 12 2007 Douglas E. Warner <silfreed@silfreed.net> 0.3.0-1
- upgrade to 0.3.0

* Thu Apr 05 2007 Douglas E. Warner <silfreed@silfreed.net> 0.2.3-1
- Initial RPM release.

